Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 199790 - mono-core conflicts with mono-core
Summary: mono-core conflicts with mono-core
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On: 185690
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-07-22 01:33 UTC by David Nielsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 09:47:27 UTC


Attachments (Terms of Use)

Description David Nielsen 2006-07-22 01:33:53 UTC
Description of problem:
Due to yums desire to install both i386 and x86_64 packages on a x86_64 system a
conflict arises when installing mono-core

Version-Release number of selected component (if applicable):
mono-core-1.1.16-1.1

How reproducible:
100%

Steps to Reproduce:
1. yum install mono-core
  
Actual results:
massive conflict output

Expected results:
Succesful install

Additional info:
AMD64 X2 4400+ running Development 22072006

Comment 1 Matthias Clasen 2006-07-25 15:58:11 UTC
Why does yum try to install mono-core-i386 on x86_64 ?

Comment 2 David Nielsen 2006-07-27 00:11:21 UTC
Jesse Keating explained to me that this is the default behavior on FC6, I find
it endlessly annoying as it causes problems left and right, takes up diskspace
and takes longer to download.. however this is a debate to take up with Seth
Vidal I guess.

Comment 3 Alexander Larsson 2006-07-27 21:08:22 UTC
I think this would be fixed by moving mono to %libdir. As per bug 185690.

Comment 4 Toshio Kuratomi 2006-07-27 21:26:03 UTC
Hmm.. How are we going to fix this in time for FC6?  I was anticipating the move
to libdir would be too big a change until FC7.

Comment 5 Alexander Larsson 2006-07-28 02:09:26 UTC
Yeah. I'm not sure. Does this conflict really happen in a default install on x86-64?


Comment 6 David Nielsen 2006-07-28 05:56:51 UTC
This is a bog standard install

Comment 7 Alexander Larsson 2006-07-28 20:17:40 UTC
Ugh, then we might have to move to libdir in fc6 anyway. I'll be gone next week,
but i'll take a look at this the week after that.

Comment 8 Alexander Larsson 2006-08-10 09:47:27 UTC
I think this should be fixed in mono-1.1.16.1-1. This version has libmono split
out into mono-lib, and the only devel package is mono-lib-devel. Both these
packages are multilib safe, and they should be the only 32bit ones pulled into
the 64bit distro. 


Note You need to log in before you can comment on or make changes to this bug.